
module Format

	module_function

	def headers(headers, types)
		headers = headers.map { |h| "#{h} #{type(h, types)}" }.join(",")
		return headers
	end

	def type(header, types)
		case types[header]
		when Fixnum
			return "INTEGER"
		when Float
			return "REAL"
		when nil
			return "NULL"
		when String
			return "TEXT"
		else
			return "TEXT"
		end
	end

	def row(row)
		if row.is_a? Hash
			values = row.values.map { |r| "'#{r}'"}.join(",")
			keys = row.keys.join(",")
		end
		return "(#{keys}) VALUES(#{values})"
	end
end
